#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	a2ps
Version		:	4.14
Release		:	16.2.1.rel%{?dist}
Summary		:	Converts text and other types of files to PostScript

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnu.org/software/a2ps/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-jmp-1.patch
Patch1		:	%{name}-%{version}-CVE-2014-0466.patch
Patch2		:	%{name}-%{version}-CVE-2015-8107.patch
Patch3		:	%{name}-%{version}-adhere-source-date-epoch.patch
Patch4		:	%{name}-%{version}-security.patch
Patch5		:	%{name}-%{version}-manpage-chmod.patch
Patch6		:	%{name}-%{version}-fnmatch-replacement.patch

#-----------------------------------------------------------------------------
BuildRequires	:	bison
BuildRequires	:	cups
BuildRequires	:	emacs
BuildRequires	:	flex
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	gperf
BuildRequires	:	groff
BuildRequires	:	libtool
BuildRequires	:	make
#BuildRequires	:	psutils

#-----------------------------------------------------------------------------
%description
The a2ps filter converts text and other types of
files to PostScript.
A2ps has pretty-printing capabilities and includes
support for a wide number of programming languages,
encodings (ISO Latins, Cyrillic, etc.),

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-, root,root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
%config %{_sysconfdir}/%{name}/%{name}.cfg
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-site.cfg
%{_bindir}/%{name}
%{_bindir}/card
%{_bindir}/composeglyphs
%{_bindir}/fixnt
%{_bindir}/fixps
%{_bindir}/ogonkify
%{_bindir}/pdiff
%{_bindir}/psmandup
%{_bindir}/psset
%{_bindir}/texi2dvi4a2ps
%{_libdir}/lib%{name}.so.1*
%{_datadir}/info/*.info.gz
%{_datadir}/%{name}/README
%{_datadir}/%{name}/afm/*.afm
%{_datadir}/%{name}/afm/fonts.map
%{_datadir}/%{name}/afm/make_fonts_map.sh
%{_datadir}/%{name}/encoding/*.edf
%{_datadir}/%{name}/encoding/encoding.map
%{_datadir}/%{name}/fonts/pcfont.pfa
%{_datadir}/%{name}/ppd/README
%{_datadir}/%{name}/ppd/*.ppd
%{_datadir}/%{name}/ps/*.hdr
%{_datadir}/%{name}/ps/*.pro
%{_datadir}/%{name}/ps/*.ps
%{_datadir}/%{name}/sheets/sheets.map
%{_datadir}/%{name}/sheets/*.ssh
%{_datadir}/emacs/site-lisp/%{name}*
%{_datadir}/ogonkify/README
%{_datadir}/ogonkify/*.enc
%{_datadir}/ogonkify/*.ps
%{_datadir}/ogonkify/afm/*.afm
%{_datadir}/ogonkify/fonts/*.pfa
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Header files and libraries for a2ps development

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the a2ps.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/lib%{name}.h
%{_libdir}/lib%{name}.so

#=============================================================================
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

sed -i							\
  -e '/^AM_C_PROTOTYPES/d'				\
  -e '/^AUTOMAKE_OPTIONS.*ansi2knr/d'			\
  -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:'		\
  -e 's:AM_PROG_CC_STDC:AC_PROG_CC:' 			\
  configure.in						\
  {contrib/sample,lib,src}/Makefile.am m4/protos.m4

sed -i							\
  -e "s:^countdictstack: \0:"				\
  contrib/psset.in

#-----------------------------------------------------------------------------
#building application
%build
libtoolize --force --copy
autoreconf -vfi -I m4

./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--enable-nls					\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

%{__rm} -f %{buildroot}%{_infodir}/dir

%find_lang %name
#-----------------------------------------------------------------------------
%changelog
